Name: procmail
Version: 3.22
Release: alt3

Summary: The procmail mail processing program
License: GPL/Artistic
Group: Networking/Mail

Source: ftp://ftp.procmail.org/pub/%name/%name-%version.tar.bz2
Patch1: %name-3.22-owl-alt-fixes.patch
Patch2: %name-3.22-alt-config.patch
Patch3: %name-3.22-alt-sendcomsat_cslgname.patch
Patch4: %name-3.22-owl-alt-build-fixes.patch

Prefix: %prefix

Provides: MDA
# This procmail requires useradd with mailspool support installed.
Requires: shadow-utils >= 0:20000902-alt3

# Automatically added by buildreq on Tue May 15 2001
BuildRequires: sendmail-common

%description
The %name program is used by operating system for all local mail
delivery. In addition to just delivering mail, %name can be used
for automatic filtering, presorting and other mail handling jobs.
Procmail is also the basis for the SmartList mailing list processor.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

find -type f -print0 |
	xargs -r0 %__grep -FZl /usr/ucb/mail |
	xargs -r0 %__subst 's|/usr/ucb/mail|/bin/mail|g'

%build
%make_build

%install
mkdir -p $RPM_BUILD_ROOT{%_bindir,%_mandir/man{1,5}}

%make_install install \
        BASENAME=$RPM_BUILD_ROOT%_prefix \
        MANDIR=$RPM_BUILD_ROOT%_mandir

%files
%_bindir/*
%_mandir/man?/*
%doc FAQ FEATURES HISTORY KNOWN_BUGS README examples

%changelog
* Sat Sep 28 2002 Dmitry V. Levin <ldv@altlinux.org> 3.22-alt3
- Requires: shadow-utils >= 20000902-alt3 (#0000063).
- Fixed mansed script which was broken in previous release (#0001307).

* Tue Sep 10 2002 Dmitry V. Levin <ldv@altlinux.org> 3.22-alt2
- Fixed dereferencing null bug in sendcomsat (Alexey Tourbin).
- Added temporary file handling fixes to scripts used during the builds (Owl).
- Use subst instead of perl for build.
- Additional convention enforcement on patch file names.

* Sun Oct 14 2001 Dmitry V. Levin <ldv@alt-linux.org> 3.22-alt1
- 3.22, updated patches.
- Removed setgid-to-mail bit from lockfile, with hope fcntl locking is sufficient.

* Tue Jul 31 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.21-alt1
- 3.21, updated patches.
- Removed setgid-to-mail bit from procmail.
- Enabled LMTP.
- Corrected License tag.

* Tue May 15 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.15.1-ipl4mdk
- Patch with various fixes from Owl project.
- Do not link with libnet.

* Wed Jan 31 2001 Dmitry V. Levin <ldv@fandra.org> 3.15.1-ipl3mdk
- Fixed Provides.

* Sat Jan 13 2001 Dmitry V. Levin <ldv@fandra.org> 3.15.1-ipl2mdk
- Provides: MailTransportAgent.

* Tue Jan 09 2001 Dmitry V. Levin <ldv@fandra.org> 3.15.1-ipl1mdk
- 3.15.1

* Fri Sep 01 2000 Dmitry V. Levin <ldv@fandra.org> 3.15-ipl1mdk
- 3.15

* Thu Jun  8 2000 Dmitry V. Levin <ldv@fandra.org> 3.14-ipl1mdk
* RE adaptions.

* Sun Dec  5 1999 Dmitry V. Levin <ldv@fandra.org>
- 3.14

* Sat Oct 30 1999 Dmitry V. Levin <ldv@fandra.org>
- optimal manpages compressing
- Fandra adaptions

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- merge with rh changes.
- turn on GROUP_PER_USER(r).
- fix doc perms(r).

* Thu Apr  8 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 3.13.1
- Mandrake adaptions
- bzip2 man pages
- fix handling of RPM_OPT_FLAGS
- get rid of "press return to continue"
- add de locale

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc
